Download it now!
Bug 48231 - Allow to print multiple copies of a single page into one page (not yet possible on Mac OSX)
Summary: Allow to print multiple copies of a single page into one page (not yet possib...
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
3.5.1 release
Hardware: Other Mac OS X (All)
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-03 03:10 UTC by František
Modified: 2015-06-08 14:26 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
print dialog 1 (95.95 KB, image/jpeg)
2012-08-31 20:00 UTC, František
Details
print dialog 2 (81.21 KB, image/jpeg)
2012-08-31 20:02 UTC, František
Details
print dialog 3 (71.42 KB, image/jpeg)
2012-08-31 20:04 UTC, František
Details
print dialog from Preview App (109.52 KB, image/jpeg)
2012-08-31 20:06 UTC, František
Details

Note You need to log in before you can comment on or make changes to this bug.
Description František 2012-04-03 03:10:47 UTC
Problem description: 

Steps to reproduce:
1. Open printing dialog
2. and try to multiply on page on one sheet
3. ....

Current behavior:
There is no option. Not the one LO offers on Windows nor standard Mac tools that are available in OS X 10.6

Expected behavior:
In Windows you can set printing order 1,1,1,1 and print 4 pages on one sheet. Om mac you can set now number of copies and have to set size in percent manually to fit to page but in LO is no option.
Printing problems are discussed in mailing list but have not found that one. Not sure whether it has solution but hope sou.
Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (Windows NT 5.1; rv:11.0) Gecko/20100101 Firefox/11.0
Comment 1 sasha.libreoffice 2012-06-29 03:36:58 UTC
Thanks for bugreport
Looks related:
Bug 45701 - PRINTING: Can't print 2-up
Comment 2 bfoman (inactive) 2012-08-31 08:55:02 UTC
@Roman Eisele
Could you check this on Mac? Thanks.
Comment 3 Alex Thurgood 2012-08-31 09:19:56 UTC
ALL: I saw reports on the French user list yesterday of people not being able to print more than one copy of a page, but this was with 3.6. Will test for myself later on Mac.

Alex
Comment 4 Roman Eisele 2012-08-31 14:45:36 UTC
(In reply to comment #2)
> Could you check this on Mac? Thanks.

I have got problems to test this (and related issues), because I don’t have a (working) printer at the problem. Therefore ...

@Alex:

(In reply to comment #3)
> ALL: I saw reports on the French user list yesterday of people not being able
> to print more than one copy of a page, but this was with 3.6. Will test for
> myself later on Mac.

Yes, please test this issue, if you can, I can't do it (see above).
Thank you!
Comment 5 Alex Thurgood 2012-08-31 15:13:28 UTC
Can not reproduce on LibreOffice 3.5.6.2 
Build ID: e0fbe70-dcba98b-297ab39-994e618-0f858f0

Mac OSX 10.8.1

with a Samsung CLX-3175 FN networked printer. I can print multiple copies of a ODT file.


Alex
Comment 6 Alex Thurgood 2012-08-31 15:16:32 UTC
Ah, I might have misunderstood what the initial reporter was trying to say...

My first understanding was that you couldn't print multiple copies of a single page. As I mentioned, this works for me.

Now, re-reading what Frantisek wrote, am I to understand that one can't put multiple pages of a document onto a single page during the printing process, like one can on Linux with psnup ?


Is that the problem ?

Alex
Comment 7 Alex Thurgood 2012-08-31 15:22:13 UTC
In the detailed view of the printing dialogue, there is a tab in the bottom right-hand pane of the dialogue window next to "LibreOffice" which says "More". You can click on this to print in "brochure mode", which will print 2 pages per sheet of paper and a preview thereof is displayed.


Alex
Comment 8 Alex Thurgood 2012-08-31 15:33:22 UTC
Again, in the detailed Printing view of the Print dialogue, there is a "LibreOffice" bar in the middle of the dialogue, between the top and the preview display and detailed options. If you click on this bar or button, you will see a submenu corresponding to the psnup capacities.

For example, I can see the following menu options in a drop down list when I click on the central "LibreOffice" button/bar :

Using a Kyocera FS-C5150DN networked printer :

Layout
Color Matching
Paper Handling
Paper Feed
Cover Page

----------
Job Settings
Watermark
Publishing
Job Accounting
Printer Features

----------------
Supply Levels


Using a Samsung CLX-3175FN networked printer :

Layout
Paper Handling
Cover Page

-------------
Graphics
Paper
About
Printer Features

----------------
Supply Levels



so, again, this WORKSFORME.



Alex
Comment 9 Alex Thurgood 2012-08-31 15:36:03 UTC
Frantisek,

Please report back after having called up the detailed Print dialog, and looked through the options again.

Please also specify the printer that you are using.


Alex
Comment 10 František 2012-08-31 20:00:50 UTC
Created attachment 66415 [details]
print dialog 1

LO tab, sorry i have Czech version :-)
Comment 11 František 2012-08-31 20:02:39 UTC
Created attachment 66416 [details]
print dialog 2

LO tab part More
Comment 12 František 2012-08-31 20:04:41 UTC
Created attachment 66417 [details]
print dialog 3

Layout tab
Comment 13 František 2012-08-31 20:06:06 UTC
Created attachment 66418 [details]
print dialog from Preview App

Preview offers on main tab multiplying settings
Comment 14 František 2012-08-31 20:12:47 UTC
Hello,

I can not see any such settings in my printer dialogs. See attachments. Last one is from Preview.
In Preview is extra setting for multiplying one page on one sheet.

Unfortunately I discovered that this setting in Preview is not system wide but works only in Preview.

But main problem is that Windows version of LO allows you to specify which pages will be printed way you can't on mac. On mac you can enter only range from to, on Windows you can manually enter 1,1,1,1 and print four pages number on on one sheet.
And that setting from Preview is not present too.

My printers Lexmark Optra E310 and HP BussinesJet 1100n, Mac 10.6.8 and LO 3.6.1.2 (ID sestavení: e29a214) but it is the same as all LO and OO I remember. I do thing it is regression or bug. It is missing feature that had to be implemented different way that on Windows.

Of course I can print to PDF and multiply in Preview but not easily in Acrobat Reader. Results are not the same.

Thanks for care

Frantisek
Comment 15 Alex Thurgood 2012-08-31 20:55:07 UTC
Have changed title to reflect what I understand as being the problem presented by initial reporter.


The user in this case wants to be able to have a single page, specified in the print dialogue, printed in multiple copies onto a single page. Seeing as I've only just understood what the problem is, I haven't yet tested whether this is possible with any of my printers.

Alex
Comment 16 Alex Thurgood 2012-09-02 15:35:47 UTC
Hi again,

Unfortunately, I can not see how one could do what you want even in the following applications :

- Thunderbird
- Firefox
- Preview


The standard Apple print dialog that is displayed with these apps does not provide for the user to enter a range of pages separated by semi-colon or a comma. This is a limitation of the OS. LibreOffice appears to do the same and takes the OS print dialog provided by Apple's vision of the CUPS printing subsystem.

So I don't think that there is much that can be done here, it does not appear to be a bug for me, since this is operating system dependent. The fact that you can on Windows is a reflection of the capabilities and drivers provided for the printing subsystem on Windows.

If you want the same printing features on OSX as on WIndows, you might want to ask Apple to do something about it.

I'm afraid I'm going to have to mark this as NOTABUG (unfortunately). Things were better when you could still use spadmin under OSX with OOo, but that was removed during OOo 3.3 development.

Alex
Comment 17 Roman Eisele 2012-09-03 07:51:05 UTC
(In reply to comment #16)
> I'm afraid I'm going to have to mark this as NOTABUG (unfortunately).

Should we use NOTOURBUG instead ;-)? I mean, if one considers the current behaviour as important deficiency (and therefore as a bug), and if this deficiency is due to the OS, this would be Apple’s bug ...
Comment 18 Alex Thurgood 2012-09-03 07:56:54 UTC
(In reply to comment #17)
> (In reply to comment #16)
> > I'm afraid I'm going to have to mark this as NOTABUG (unfortunately).
> 
> Should we use NOTOURBUG instead ;-)? I mean, if one considers the current
> behaviour as important deficiency (and therefore as a bug), and if this
> deficiency is due to the OS, this would be Apple’s bug ...

Fine by me :-) Changing.

Alex
Comment 19 František 2012-09-19 10:40:48 UTC
Hi guys,

How you can abandon it so simply. You statement is not correct.
You are right it is not a typical bug. Not yours not Apple's one. It is not fully implemented printing feature on Mac.

As you can see in print dialog from Preview App attachment. Apple provide duplication function in Print dialog. But I have not found it in any other App.

It is not true that you can enter range of pages comma separated in Windows. You can in some programs maybe most but not all. Thunderbird or Firefox can not do that.

And, can not verify because sitting in work now, Adobe Reader on Mac can set range as well. There is only one difference, document have to have minimum 2 pages to feature became active, that is wrong approach.

So it is not problem of only printing subsystem. I believe that there is a solution. It depends how many energy you are willing to put into keeping feature parity.

Frantisek
Comment 20 Roman Eisele 2012-09-19 10:52:25 UTC
(In reply to comment #19)
> How you can abandon it so simply. You statement is not correct.

František: No offence -- neither Alex nor me wanted to annoy you!

IIRC it is correct that other applications on Mac OS X (e.g., some DTP applications) provide this feature, by implementing their own page range handling. LibreOffice could do the same. But then this is not a bug report (because it is not evident by its own that an application needs to support this feature), it is an enhancement request -- and given that, František is right to say:

> I believe that there is a solution. It depends how many energy you are
> willing to put into keeping feature parity.

So my suggestion is: let us reopen this issue, OK, but this time as an enhancement request. Is this OK for everybody?

Now we just need to find a developer who wants to spend some time on fulfulling this enhancement request ... ;-)
Comment 21 sasha.libreoffice 2012-09-19 11:04:31 UTC
In any case this will remain:
Bug 45701 - PRINTING: Can't print 2-up (Printing of multiply copies of page on one page not possible)
Comment 22 František 2012-09-19 11:43:08 UTC
It is probably duplicate to Bug 45701 - PRINTING: Can't print 2-up I guess. I am fine with setting it as feature request since you think it is not a bug and I can not argue much not being programmer.
It depends whether Printing multiple copies of page on Windows accidentally happened or is it desired feature. :-) So whether it is about feature parity or not.

Cheers and thanks for care

Frantisek
Comment 23 Alex Thurgood 2012-09-24 07:59:36 UTC
Let's face it, there is no feature parity between Windows/Linux/Mac versions of LO, that is a sad fact - address books anyone (among others, building on OSX 10.8, accessibility,deprecated interfaces, etc) ?

There are currently too few developer ressources available for Mac development.

So, make all the enhancement requests you like, until more Mac developers come along and take the plunge into LO development, this won't change. And even if they do, they will be wanting to scratch their own personal itch, unless they are paid by a company with a focus on Mac development to move the product forward.

Please don't take it personally, Frantisek, it is not a question of giving up, but the reality of an opensource software development of this size.


Alex
Comment 24 Roman Eisele 2012-09-24 13:14:26 UTC
(In reply to comment #22)
> It is probably duplicate to Bug 45701 - PRINTING: Can't print 2-up I guess.

Well, if I understand bug 45701 correctly (I am not sure) there is a difference: bug 45701 is not limited to a single platform, and it is marked as a regression. But I am also not sure if I understand the relation of both bugs correctly.

The best thing to do now (also from our, Mac users, point of view) is IMHO to do what we can do for getting bug 45701 fixed. For this the chances are not that bad -- regressions are generally considered as more important. What is missing is a precise hint saying in which version this worked for the last time, i.e., when the regression has occured. If someone (probably a Linux or Windows user) could find out about this, we could search for developers who have worked on the printing code and forward bug 45701 to them, asking them to take a look at it -- as far as I can see, no developer was ever informed explicitely about 45701.

As soon as there is some progress about bug 45701, we will also see if the present bug goes away (then it was a duplicate) or not (then the present bug is an issue of its own and will stay as open enhancement request, waiting for some Mac developer).
Comment 25 Joel Madero 2014-11-06 21:04:08 UTC
Per comment 24 I am moving this to NEEDINFO - after which point the requested info should be provided and then the bug should be put as NEW not REOPENED. Thanks all.
Comment 26 František 2014-11-06 22:53:01 UTC
I have found that this problem on Mac can be party solved by disabling Mac printing dislog in preferences. It is not nice but usefull.  You will get probably Linux dialog that allows you print 1,1,1,1 etc.
Comment 27 QA Administrators 2015-05-06 14:15:05 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least
6 months. Please provide the requested information as soon as
possible and mark the bug as UNCONFIRMED. Due to regular bug
tracker maintenance, if the bug is still in NEEDINFO status with
no change in 30 days the QA team will close the bug as INVALID
due to lack of needed information.

For more information about our NEEDINFO policy please read the
wiki located here:
https://wiki.documentfoundation.org/QA/Bugzilla/Fields/Status/NEEDINFO

If you have already provided the requested information, please
mark the bug as UNCONFIRMED so that the QA team knows that the
bug is ready to be confirmed.
 
Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 28 QA Administrators 2015-06-08 14:26:45 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

-- The LibreOffice QA Team 

This INVALID Message was generated on: 2015-05-06

Warm Regards,
QA Team